ZFS-WAIT(8)

NAME
zfs-wait - wait for activity in ZFS filesystem to stop

SYNOPSIS
zfs wait [-t activity[,activity]…] filesystem

DESCRIPTION
Waits until all background activity of the given types has ceased in the given filesystem. The activity could cease because it has completed or because the filesystem has been destroyed or unmounted. If no activities are specified, the command waits until background activity of every type listed below has ceased. If there is no activity of the given types in progress, the command returns immediately.

These are the possible values for activity, along with what each one waits for:
deleteq
    The filesystem's internal delete queue to empty

Note that the internal delete queue does not finish draining until all large files have had time to be fully destroyed and all open file handles to unlinked files are closed.

SEE ALSO
lsof(8)